const api = require('../../api/index.js');
Page({

  data: {
    tabsindex:"",
    driverlist:[],
    selected:1,
    userdata:[]
  },
  onLoad() {
    // this.getdriver()
    this.setData({
      userdata:wx.getStorageSync('user')
    })
wx.$on('wsMessage', this.toolWsMessage);

  },
  onUnload() {
    // 页面卸载时，取消订阅！
    wx.$off('wsMessage', this.toolWsMessage);
  },
   /**
   * 处理接收到的 WebSocket 消息
   * @param {Object} message 从 app.js 广播过来的消息对象
   */
  
  toolWsMessage(message) {
    console.log('Other Page 收到 WebSocket 消息:', message);
 
    // 根据消息类型进行不同的处
    switch (message.api) {
      case '/sysworkorder/selectworkorderlist':
        // 在这里可以更新地图、刷新UI等
        if (message.type==1) {
           this.getdriver()
        }

        break;
      
      case 'trajectoryInit':
        // 处理初始轨迹数据
        break;

      case 'heartbeatReply':
        // 心跳回复，通常不需要UI处理
        break;
    
      default:
        // 处理其他类型的消息
        break;
    }
  },
  onselected(e){
    console.log(e.currentTarget.dataset.index);
this.setData({
  selected:e.currentTarget.dataset.index
})
this.getdriver()
  },
  getdriver(){
    let data ={
      workorderId:'',
      workorderName:'',
      addressId:'',
      driverId:'',
      carId:'',
      customerId:'',
      workorderType:this.data.tabsindex,
      chargedischargeType:this.data.selected,
    }

    api.request(`/sysworkorder/selectworkorderlist`, 'post',data,{ isPublic: false })
    .then((data) => {
  console.log(data.data);
  if (data.code==200) {
    this.setData({
      driverlist:data.data
    })
  }
  //  wx.navigateTo({
  //   url: '/pages/map/index',
  // })
    })
    .catch((err) => {

      console.error('请求失败：', err);
    });
  },
  // 选项卡
  onTabsChange(e){
  console.log(e.detail.value);
  this.setData({
    tabsindex:e.detail.value,
  })
  this.getdriver()

  // this.gitreview()
  },
  details(e){
    console.log(e.currentTarget.dataset.id);
    wx.navigateTo({
    url: `/package-map/pages/map/index?id=${e.currentTarget.dataset.id}`,
  })
  },

  onShow() {
    this.getdriver()
  },
   /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
   onPullDownRefresh() {
  }
});
